{
  "name": "woolentor/size-chart",
  "category": "woolentor-blocks",
  "title": "WL: Size Chart",
  "description": "Display size chart added from Module.",
  "keywords": [
    "woolentor",
    "size",
    "chart",
    "WooCommerce size chart",
    "WooCommerce size"
  ],
  "attributes": {
    "blockUniqId": {
      "type": "string",
      "default": ""
    },
    "areaPadding": {
      "type": "object",
      "default": {
        "top": "",
        "right": "",
        "bottom": "",
        "left": "",
        "unit": "px",
        "link": "yes"
      },
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}} { padding: {{areaPadding}}; }"
      }
    },
    "areaBGProperty": {
      "type": "object",
      "default": {
        "imageId": null,
        "imageUrl": "",
        "position": "",
        "attachment": "",
        "repeat": "",
        "size": ""
      },
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}"
      }
    },

    "display_type": {
      "type": "string",
      "default": "popup"
    },
    "button_text": {
      "type": "string",
      "default": "Size Chart"
    },
    "button_icon":{
      "type": "string"
    },
    "icon_position":{
      "type": "string",
      "default": "before"
    },

    "button_padding": {
      "type": "object",
      "default": {
          "top":"",
          "right":"",
          "bottom":"",
          "left":"",
          "unit":"px",
          "link":"yes"
      },
      "style" : {
          "selector":"{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-button{ padding:{{button_padding}}; }"
      }
    },
    "button_bg_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-button{ background-color:{{button_bg_color}} !important; }"
      }
    },
    "button_text_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-button{ color:{{button_text_color}} !important; }"
      }
    },
    "button_hover_bg_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-button:hover{ background-color:{{button_hover_bg_color}} !important; }"
      }
    },
    "button_hover_text_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-button:hover{ color:{{button_hover_text_color}} !important; }"
      }
    },

    "table_header_bg_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table thead tr{ background-color:{{table_header_bg_color}} !important; }"
      }
    },
    "table_header_text_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table thead th{ color:{{table_header_text_color}} !important; }"
      }
    },
    "table_even_row_bg_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table tbody tr:nth-child(even){ background-color:{{table_even_row_bg_color}} !important; }"
      }
    },
    "table_even_row_text_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table tbody tr:nth-child(even) td{ color:{{table_even_row_text_color}} !important; }"
      }
    },
    "table_odd_row_bg_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table tbody tr:nth-child(odd){ background-color:{{table_odd_row_bg_color}} !important; }"
      }
    },
    "table_odd_row_text_color": {
      "type": "string",
      "style": {
        "selector": "{{WOOLENTOR_WRAPPER}}.wl-size-chart-block-widget-area-wrapper .wl-size-chart-table tbody tr:nth-child(odd) td{ color:{{table_odd_row_text_color}} !important; }"
      }
    }
  }
}
